Retrieve rows from a single analytics report

The purpose of this API is to provide the ability for Pixalate Analytics subscribers to ingest analytics data into their own internal systems. The response is a JSON formatted object containing a list of report items.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The report's unique identifier. To request the default analytics report, use the term default as the report identifier.

Query Params
integer

The time zone in which to sync the report data. The timezone is the number of minutes from GMT. Default is 0.

integer

Which item in the results from which to start.

integer

The total number of items to return. Default is 20.

string

A URL encoded query to run to retrieve data. It uses a simplified SQL SELECT syntax as follows:

[ column [ ,column... ] ] [ WHERE expression ] [ GROUP BY column [ ,column... ] ] [ ORDER BY column [ DESC ] ]

Note: All characters and their values are case sensitive.

columndimension or metric
dimensionOne of the set of dimension identifiers available for the specified report. See Dimensions schema below.
metricOne of the set of metric identifiers available for the specified report. See Metrics schema below.
expressionOne of the following: dimension operator literal, or metric comparator literal, or (expression), or expression AND expression, or expression OR expression, or CONTAINS (dimension, or literal)
operator=, or !=
comparator=, or >, or <
literalnumber, or string, or date
numberAn integer or decimal number.
stringA text string surrounded by single quotes.
dateA date as yyyy-mm-dd format surrounded by single quotes.

boolean

Setting this flag to true indicates that the API returns a URI to the CSV data as an Internet resource rather than the data itself. While the resulting resource is public, the URI contains a randomly generated identifier that ensures the data is relatively secure unless the URI itself is made public by the user.

boolean

If set to true, a CSV URI response is returned immediately. However, this will return a 404 Not Found HTTP status code until the service completes processing the report. Note that this parameter is only recognized when the exportUri parameter is also supplied as true. Note also that the limit parameter is ignored when this parameter is set to true.

boolean

If set to true, then processing is handled identically as if the isAsync parameter is set to true. However, the returned CSV file contains a single column with each row being a URL to a CSV file that contains part of the data. Large results that set ORDER BY may cause an 400 Bad Request HTTP status code. To resolve, try removing the ORDER BY clause. Note that this parameter is only recognized when the exportUri parameter is also supplied as true. Note also that the limit parameter is ignored when this parameter is set to true.

boolean

If true, return pretty JSON. Default is false.

Responses

400

Bad Request - Invalid parameters in request.

401

Unauthorized - Invalid API Key.

403

Forbidden - Rate plan expired or quota has been exhausted.

5XX

Server Error - The API experienced an internal error. Contact support.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json